<?php 

	$mega_manufacturing_industry_custom_css = '';

	// Site Title Color
	$mega_manufacturing_industry_site_title_color = get_theme_mod('mega_manufacturing_industry_site_title_color');
	$mega_manufacturing_industry_custom_css .= '.logo h1 a, .logo p.site-title a {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_site_title_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	// Site Tagline Color
	$mega_manufacturing_industry_site_tagline_color = get_theme_mod('mega_manufacturing_industry_site_tagline_color');
	$mega_manufacturing_industry_custom_css .= '.logo p.site-description {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_site_tagline_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_logo_size = get_theme_mod('mega_manufacturing_industry_logo_size'); // This value should be a percentage (e.g., 50 for 50%)
	if ($mega_manufacturing_industry_logo_size) {
		$logo_width_px = (350 * $mega_manufacturing_industry_logo_size) / 100; // Calculate the pixel width based on the percentage
		$mega_manufacturing_industry_custom_css .= '.site-logo img {';
		$mega_manufacturing_industry_custom_css .= 'width: '.esc_attr($logo_width_px).'px !important;';
		$mega_manufacturing_industry_custom_css .= '}';
	}

	/*----------------Width Layout -------------------*/
    $mega_manufacturing_industry_theme_lay = get_theme_mod( 'mega_manufacturing_industry_width_options','Full Width');
    if($mega_manufacturing_industry_theme_lay == 'Full Width'){
		$mega_manufacturing_industry_custom_css .='body{';
			$mega_manufacturing_industry_custom_css .='max-width: 100%;';
		$mega_manufacturing_industry_custom_css .='}';
	}else if($mega_manufacturing_industry_theme_lay == 'Contained Width'){
		$mega_manufacturing_industry_custom_css .='body{';
			$mega_manufacturing_industry_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$mega_manufacturing_industry_custom_css .='}';
	}else if($mega_manufacturing_industry_theme_lay == 'Boxed Width'){
		$mega_manufacturing_industry_custom_css .='body{';
			$mega_manufacturing_industry_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$mega_manufacturing_industry_custom_css .='}';
	}

	// Submenu Dropdown Effect
	$mega_manufacturing_industry_dropdown_anim = get_theme_mod('mega_manufacturing_industry_dropdown_anim');
	$mega_manufacturing_industry_custom_css .='.primary-navigation ul ul{';
		$mega_manufacturing_industry_custom_css .='animation: '.esc_attr($mega_manufacturing_industry_dropdown_anim).' 1s ease;';
	$mega_manufacturing_industry_custom_css .='}';


	// Topbar Color

	$mega_manufacturing_industry_topheadbg_color = get_theme_mod('mega_manufacturing_industry_topheadbg_color');
	$mega_manufacturing_industry_custom_css .= ' .header-box {';
		$mega_manufacturing_industry_custom_css .= 'background: ' . esc_attr($mega_manufacturing_industry_topheadbg_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_topheadicon_color = get_theme_mod('mega_manufacturing_industry_topheadicon_color');
	$mega_manufacturing_industry_custom_css .= ' #header .socialicons a i {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_topheadicon_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_topheadiconhover_color = get_theme_mod('mega_manufacturing_industry_topheadiconhover_color');
	$mega_manufacturing_industry_custom_css .= ' #header .socialicons a i:hover {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_topheadiconhover_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headermenubg_color = get_theme_mod('mega_manufacturing_industry_headermenubg_color');
	$mega_manufacturing_industry_custom_css .= ' #header .bottom-head {';
		$mega_manufacturing_industry_custom_css .= 'background: ' . esc_attr($mega_manufacturing_industry_headermenubg_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headermenu_color = get_theme_mod('mega_manufacturing_industry_headermenu_color');
	$mega_manufacturing_industry_custom_css .= ' .primary-navigation ul li a,.sf-arrows .sf-with-ul:after {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_headermenu_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headeractivemenuhover_color = get_theme_mod('mega_manufacturing_industry_headeractivemenuhover_color');
	$mega_manufacturing_industry_custom_css .= ' .primary-navigation .current_page_item a,.primary-navigation a:hover {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_headeractivemenuhover_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headeractivemenuhoverbg_color = get_theme_mod('mega_manufacturing_industry_headeractivemenuhoverbg_color');
	$mega_manufacturing_industry_custom_css .= ' .primary-navigation .current_page_item a,.primary-navigation a:hover {';
		$mega_manufacturing_industry_custom_css .= 'background: ' . esc_attr($mega_manufacturing_industry_headeractivemenuhoverbg_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headersubmenuicon_color = get_theme_mod('mega_manufacturing_industry_headersubmenuicon_color');
	$mega_manufacturing_industry_custom_css .= ' .sf-arrows .sf-with-ul:after {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_headersubmenuicon_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headersubmenu_color = get_theme_mod('mega_manufacturing_industry_headersubmenu_color');
	$mega_manufacturing_industry_custom_css .= ' .primary-navigation ul ul a {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_headersubmenu_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headersubmenuhover_color = get_theme_mod('mega_manufacturing_industry_headersubmenuhover_color');
	$mega_manufacturing_industry_custom_css .= ' .primary-navigation ul ul a:hover {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_headersubmenuhover_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headersubmenubg_color = get_theme_mod('mega_manufacturing_industry_headersubmenubg_color');
	$mega_manufacturing_industry_custom_css .= ' .primary-navigation ul ul a {';
		$mega_manufacturing_industry_custom_css .= 'background: ' . esc_attr($mega_manufacturing_industry_headersubmenubg_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headersubmenubghover_color = get_theme_mod('mega_manufacturing_industry_headersubmenubghover_color');
	$mega_manufacturing_industry_custom_css .= ' .primary-navigation ul ul a:hover {';
		$mega_manufacturing_industry_custom_css .= 'background: ' . esc_attr($mega_manufacturing_industry_headersubmenubghover_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headerphonenumber_color = get_theme_mod('mega_manufacturing_industry_headerphonenumber_color');
	$mega_manufacturing_industry_custom_css .= ' #header .phbtn a {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_headerphonenumber_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headerphonenumbericon_color = get_theme_mod('mega_manufacturing_industry_headerphonenumbericon_color');
	$mega_manufacturing_industry_custom_css .= ' #header .phbtn a i {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_headerphonenumbericon_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headerphonenumbericonbg_color = get_theme_mod('mega_manufacturing_industry_headerphonenumbericonbg_color');
	$mega_manufacturing_industry_custom_css .= ' #header .phbtn a i {';
		$mega_manufacturing_industry_custom_css .= 'background: ' . esc_attr($mega_manufacturing_industry_headerphonenumbericonbg_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headerphonenumberbg_color = get_theme_mod('mega_manufacturing_industry_headerphonenumberbg_color');
	$mega_manufacturing_industry_custom_css .= ' #header .phbtn {';
		$mega_manufacturing_industry_custom_css .= 'background: ' . esc_attr($mega_manufacturing_industry_headerphonenumberbg_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_headerphonenumberbgcurve_color = get_theme_mod('mega_manufacturing_industry_headerphonenumberbgcurve_color');
	$mega_manufacturing_industry_custom_css .= ' #header .phbtn {';
		$mega_manufacturing_industry_custom_css .= 'border-color: ' . esc_attr($mega_manufacturing_industry_headerphonenumberbgcurve_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';


	// Slider
	$mega_manufacturing_industry_slider_hide_show = get_theme_mod('mega_manufacturing_industry_slider_hide_show',false);
	if($mega_manufacturing_industry_slider_hide_show == true){
		$mega_manufacturing_industry_custom_css .= '.page-template-home-custom .inner-head {';
			$mega_manufacturing_industry_custom_css .= 'display: none;';
		$mega_manufacturing_industry_custom_css .= '}';
	}

	$mega_manufacturing_industry_slider_opacity = get_theme_mod('mega_manufacturing_industry_slider_opacity');
	$mega_manufacturing_industry_custom_css .= ' #slider .s-oly {';
		$mega_manufacturing_industry_custom_css .= 'background: linear-gradient(285deg, #22222200 0%, #22222200 24%, rgba(34,34,34,' . esc_attr($mega_manufacturing_industry_slider_opacity) . ') 39%, rgba(75,72,72,' . esc_attr($mega_manufacturing_industry_slider_opacity) . ') 100%);';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryslider_subtitle_color = get_theme_mod('mega_manufacturing_industryslider_subtitle_color');
	$mega_manufacturing_industry_custom_css .= ' #slider .slider-content p {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryslider_subtitle_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryslider_title_color = get_theme_mod('mega_manufacturing_industryslider_title_color');
	$mega_manufacturing_industry_custom_css .= ' #slider .slider-content h2 {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryslider_title_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryslider_overlay_color = get_theme_mod('mega_manufacturing_industryslider_overlay_color');
	$mega_manufacturing_industry_custom_css .= ' #slider .s-oly{';
		$mega_manufacturing_industry_custom_css .= 'background: transparent linear-gradient(285deg, #22222200 0%, #22222200 24%, #2222228C 39%, ' . esc_attr($mega_manufacturing_industryslider_overlay_color) . 'ad 100%) 0% 0%; ';
	$mega_manufacturing_industry_custom_css .= '}';


	//about us

	$mega_manufacturing_industryaboutussec_color = get_theme_mod('mega_manufacturing_industryaboutussec_color');
	$mega_manufacturing_industry_custom_css .= '  #aboutus-section {';
		$mega_manufacturing_industry_custom_css .= 'background-color: ' . esc_attr($mega_manufacturing_industryaboutussec_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryaboutus_title_color = get_theme_mod('mega_manufacturing_industryaboutus_title_color');
	$mega_manufacturing_industry_custom_css .= '  #aboutus-section .service-head h4 {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryaboutus_title_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryaboutus_description_color = get_theme_mod('mega_manufacturing_industryaboutus_description_color');
	$mega_manufacturing_industry_custom_css .= '  #aboutus-section .description {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryaboutus_description_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryaboutus_boxicon_color = get_theme_mod('mega_manufacturing_industryaboutus_boxicon_color');
	$mega_manufacturing_industry_custom_css .= '  #aboutus-section .box .icon i.fa-solid.fa-user {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryaboutus_boxicon_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryaboutus_boxiconbg_color = get_theme_mod('mega_manufacturing_industryaboutus_boxiconbg_color');
	$mega_manufacturing_industry_custom_css .= '  #aboutus-section .box .icon i.fa-solid.fa-user {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryaboutus_boxiconbg_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryaboutus_boxtitle_color = get_theme_mod('mega_manufacturing_industryaboutus_boxtitle_color');
	$mega_manufacturing_industry_custom_css .= '  #aboutus-section .box .textbx h4 {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryaboutus_boxtitle_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryaboutus_boxdescription_color = get_theme_mod('mega_manufacturing_industryaboutus_boxdescription_color');
	$mega_manufacturing_industry_custom_css .= '  #aboutus-section .box .textbx p {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryaboutus_boxdescription_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryaboutus_yearofexpno_color = get_theme_mod('mega_manufacturing_industryaboutus_yearofexpno_color');
	$mega_manufacturing_industry_custom_css .= ' #aboutus-section .yearofex h3 {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryaboutus_yearofexpno_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryaboutus_yearofexptext_color = get_theme_mod('mega_manufacturing_industryaboutus_yearofexptext_color');
	$mega_manufacturing_industry_custom_css .= '  #aboutus-section .yearofextext {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryaboutus_yearofexptext_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryaboutus_latesttechnologynum_color = get_theme_mod('mega_manufacturing_industryaboutus_latesttechnologynum_color');
	$mega_manufacturing_industry_custom_css .= '  #aboutus-section .latesttechno {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryaboutus_latesttechnologynum_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryaboutus_latesttechnologytext_color = get_theme_mod('mega_manufacturing_industryaboutus_latesttechnologytext_color');
	$mega_manufacturing_industry_custom_css .= '  #aboutus-section .latesttechtxt {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryaboutus_latesttechnologytext_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryaboutus_boxbg_color = get_theme_mod('mega_manufacturing_industryaboutus_boxbg_color');
	$mega_manufacturing_industry_custom_css .= ' #aboutus-section .numberbox {';
		$mega_manufacturing_industry_custom_css .= 'background: ' . esc_attr($mega_manufacturing_industryaboutus_boxbg_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';


	//services
	$mega_manufacturing_industryservices_heading_color = get_theme_mod('mega_manufacturing_industryservices_heading_color');
	$mega_manufacturing_industry_custom_css .= ' #service-section .service-head h4 {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryservices_heading_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryservices_description_color = get_theme_mod('mega_manufacturing_industryservices_description_color');
	$mega_manufacturing_industry_custom_css .= ' #service-section .service-head p {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryservices_description_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryservices_headingbrd_color = get_theme_mod('mega_manufacturing_industryservices_headingbrd_color');
	$mega_manufacturing_industry_custom_css .= ' #service-section .service-head p:after {';
		$mega_manufacturing_industry_custom_css .= 'border-color: ' . esc_attr($mega_manufacturing_industryservices_headingbrd_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryservices_boxnum_color = get_theme_mod('mega_manufacturing_industryservices_boxnum_color');
	$mega_manufacturing_industry_custom_css .= ' #service-section .count {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryservices_boxnum_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryservices_boxtitle_color = get_theme_mod('mega_manufacturing_industryservices_boxtitle_color');
	$mega_manufacturing_industry_custom_css .= ' #service-section .service-content .title {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryservices_boxtitle_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryservices_boxtitlehover_color = get_theme_mod('mega_manufacturing_industryservices_boxtitlehover_color');
	$mega_manufacturing_industry_custom_css .= ' #service-section .service-box:hover .service-content .title {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryservices_boxtitlehover_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';


	// footer
	$mega_manufacturing_industry_footer_copy_font_size = get_theme_mod('mega_manufacturing_industry_footer_copy_font_size');
	$mega_manufacturing_industry_custom_css .= ' #footer-section .copyright p {';
		$mega_manufacturing_industry_custom_css .= 'font-size: ' . esc_attr($mega_manufacturing_industry_footer_copy_font_size) . 'px;';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryfooter_copyrighttext_color = get_theme_mod('mega_manufacturing_industryfooter_copyrighttext_color');
	$mega_manufacturing_industry_custom_css .= ' #footer-section .copyright p {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industryfooter_copyrighttext_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryfooter_copyrightbg_color = get_theme_mod('mega_manufacturing_industryfooter_copyrightbg_color');
	$mega_manufacturing_industry_custom_css .= ' .copyright{';
		$mega_manufacturing_industry_custom_css .= 'background: ' . esc_attr($mega_manufacturing_industryfooter_copyrightbg_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryfooter_copyrightbg_color = get_theme_mod('mega_manufacturing_industryfooter_copyrightbg_color');
	$mega_manufacturing_industry_custom_css .= ' #footer-section .f_tbrd {';
		$mega_manufacturing_industry_custom_css .= 'border-color: ' . esc_attr($mega_manufacturing_industryfooter_copyrightbg_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industryfooter_bg_color = get_theme_mod('mega_manufacturing_industryfooter_bg_color');
	$mega_manufacturing_industry_custom_css .= ' #footer-section {';
		$mega_manufacturing_industry_custom_css .= 'background: ' . esc_attr($mega_manufacturing_industryfooter_bg_color) . ';';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_wedgets_color = get_theme_mod('mega_manufacturing_industry_wedgets_color');
	$mega_manufacturing_industry_custom_css .= ' #footer-section h1, #footer-section h2, #footer-section h3, #footer-section h4, #footer-section h5, #footer-section h6 {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_wedgets_color) . ' !important;';
	$mega_manufacturing_industry_custom_css .= '}';

	$mega_manufacturing_industry_wedgets_menus_color = get_theme_mod('mega_manufacturing_industry_wedgets_menus_color');
	$mega_manufacturing_industry_custom_css .= ' .widget li a, aside#categories-5 li a, #footer-section a, #footer-section .logo a, #footer-section .logo p {';
		$mega_manufacturing_industry_custom_css .= 'color: ' . esc_attr($mega_manufacturing_industry_wedgets_menus_color) . ' !important;';
	$mega_manufacturing_industry_custom_css .= '}';


